This is a view of network devices statistics for Linux.
Note: for FreeBSD, the Linux compatibiliy proc filesystem must be available in /compat/linux/proc (see --proc option below).

Data is displayed in two sets of two tables: 2 for data received by the interface with absolute and per second values, the others for data transmitted by the interface, again with absolute and per second values.

The table columns are:

- for received data:
  - network device name
  - total bytes received
  - total packets received
  - bad packets received
  - received packets dropped for lack of space in kernel buffers, plus receiver missed packets
  - receiver FIFO overruns
  - frame alignment errors received, including length, receiver ring buff overflow and CRC errors
  - compressed packets received
  - multicast packets received
- for transmitted data:
  - network device name
  - total bytes transmitted
  - total packets transmitted
  - packet transmit problems
  - packets not transmitted for lack of space in kernel buffers
  - transmitter FIFO overruns
  - collisions while transmitting
  - carriers errors, including aborted, window and heartbeat errors
  - compressed packets transmitted

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- --proc directory
  Data directory, also known as proc filesystem, /proc by default (for Linux machines support). For example, use /compat/linux/proc for FreeBSD machines.
  Note: the data contained in that directory must be in a format identical to the reference Linux implementation.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to arp(host).

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss netdev
    $ moodss netdev -r jdoe@foo.bar.com
    $ moodss netdev -r ssh://jdoe@foo.bar.com
    $ moodss netdev --remote foo.bar.com